info.bioinfweb.jphyloio.formats.nexus.blockhandlers

## Class AbstractNexusBlockHandler

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.nexus.blockhandlers.AbstractNexusBlockHandler

- All Implemented Interfaces:
    NexusBlockHandler
  Direct Known Subclasses:
    CharactersDataUnalignedBlockHandler, TaxaBlockHandler, TreesBlockHandler

      public abstract class AbstractNexusBlockHandler
      extends java.lang.Object
      implements NexusBlockHandler

  Abstract implementation of `NexusBlockHandler` that stores a set of block names in an unmodifiable collection.

  Application developers implementing custom block handlers will usually want to inherit these from this class.

  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNexusBlockHandler(java.lang.String[] blockNames)` Creates a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<java.lang.String>` | `getBlockNames()` Returns a collection of the block names this handler supports.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.formats.nexus.blockhandlers.NexusBlockHandler

      `beforeCommand, handleBegin, handleEnd`

- - ### Constructor Detail

    - #### AbstractNexusBlockHandler

          public AbstractNexusBlockHandler(java.lang.String[] blockNames)

      Creates a new instance of this class.
      Parameters:
        `blockNames` - the block names the implementing class is associated with

  - ### Method Detail

    - #### getBlockNames

          public java.util.Collection<java.lang.String> getBlockNames()

      Description copied from interface: `NexusBlockHandler`
      Returns a collection of the block names this handler supports.
      Specified by:
        `getBlockNames` in interface `NexusBlockHandler`
      Returns:
        an umodifyable collection of block names